//*********************************************************
//
// ERR_EXIT.CPP: A standard error-handler.
//
// Written by:	 Daniel D. Miller
//		 Jason Hood
//
// Last update:  01/21/03 09:33
//		 28 Nov, 2012
//
//*********************************************************

#include "ndata.hpp"
#include "conio32.hpp"

static const wchar_t* const error_text[5] =
{
  L"Type 'NDIR /?' for help",    // not actually used in this program
  L"Out of memory",
  L"Invalid drive or path specified",
  L"Format not defined",
  0
};

//*********************************************************
void error_exit( int index, const wchar_t* outstr )
{
  restore_console_attribs();

  if (index != DATA_OKAY)
  {
    if (outstr)
      wprintf( L"%s: ", outstr );
    wprintf( L"%s\n", error_text[index] );
  }

  exit( index );
}
